<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ChangeInValuationOfContructionContractsAndProvisionForLosses">Zmiana stanu wyceny kontraktów budowlanych oraz rezerwy na straty na kontraktach</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ComprehensiveIncomeFromContinuingOperations">Całkowite dochody z działalności kontynuowanej</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ComprehensiveIncomeFromContinuingOperationsAttributableToNonControllingInterests">Całkowite dochody przypisane udziałowcom niekontrolującym z działalności kontynuowanej</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ComprehensiveIncomeFromContinuingOperationsAttributableToOwnersOfParent">Całkowite dochody przypadające akcjonariuszom jednostki dominującej z działalności kontynuowanej</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ComprehensiveIncomeFromDiscontinuedOperations">Całkowite dochody z działalności zaniechanej</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ComprehensiveIncomeFromDiscontinuedOperationsAttibutableToNonControllingInterests">Całkowite dochody przypisane udziałom niekontrolującym z działalności zaniechanej</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ComprehensiveIncomeFromDiscontinuedOperationsAttributableToOwnersOfParent">Całkowite dochody przypisane jednostce dominującej z działalności zaniechanej</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_EquityBeforeRestatement">Kapitał własny przed przekształceniem</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_LongTermLoansAndBorrowingsAndOtherSourcesOfFinance">Długoterminowe kredyty, pożyczki i inne źrodła finansowania</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_LongTermRetentionsForConstructionContractsAssets">Długoterminowe kaucje udzielone aktywa</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_LongTermRetentionsForConstructionContractsLiabilities">Długoterminowe kaucje otrzymane zobowiązania</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ProfitBeforeTaxFromDiscontinuedOperations">Zysk brutto z działalności zaniechanej</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ProfitLossBeforeTaxFromContiniuingAndDiscontinuedOperations">Zysk brutto z działalności zaniechanej i kontynuowanej</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ReceivablesFromServiceConcessionAgreements">Należności z tytułu umów koncesyjnych</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_RestatementOfEquity">Przekształcenie kapitału własnego</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ShortTermLoansBorrowinsAndOtherSourcesOfFinance">Krótkoterminowe kredyty, pożyczki i inne źródła finansowania</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ShortTermRetentionsForConstructionContractsAssets">Krótkoterminowe kaucje udzielone aktywa</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ShortTermRetentionsForConstructionContractsLiabilities">Krótkoterminowe kaucje otrzymane zobowiązania</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_StatementOfFinancialPositionLineItems">Sprawozdanie z sytuacji finansowej [line items]</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_StatementOfFinancialPositionTable">Sprawozdanie z sytuacji finansowej </link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ValuationOfConstructionContractsAssets">Wycena kontraktów budowlanych aktywa</link:label>
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="pl" xlink:label="label_ValuationOfConstructionContractsLiabilities">Wycena kontraktów budowlanych zobowiązania</link:label>
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ChangeInValuationOfContructionContractsAndProvisionForLosses" xlink:label="ChangeInValuationOfContructionContractsAndProvisionForLosses" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromContinuingOperations" xlink:label="ComprehensiveIncomeFromContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromContinuingOperationsAttributableToNonControllingInterests" xlink:label="ComprehensiveIncomeFromContinuingOperationsAttributableToNonControllingInterests" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromContinuingOperationsAttributableToOwnersOfParent" xlink:label="ComprehensiveIncomeFromContinuingOperationsAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromDiscontinuedOperations" xlink:label="ComprehensiveIncomeFromDiscontinuedOperations" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromDiscontinuedOperationsAttibutableToNonControllingInterests" xlink:label="ComprehensiveIncomeFromDiscontinuedOperationsAttibutableToNonControllingInterests" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" xlink:label="ComprehensiveIncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_EquityBeforeRestatement" xlink:label="EquityBeforeRestatement" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_LongTermLoansAndBorrowingsAndOtherSourcesOfFinance" xlink:label="LongTermLoansAndBorrowingsAndOtherSourcesOfFinance" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_LongTermRetentionsForConstructionContractsAssets" xlink:label="LongTermRetentionsForConstructionContractsAssets" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_LongTermRetentionsForConstructionContractsLiabilities" xlink:label="LongTermRetentionsForConstructionContractsLiabilities" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ProfitBeforeTaxFromDiscontinuedOperations" xlink:label="ProfitBeforeTaxFromDiscontinuedOperations" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ProfitLossBeforeTaxFromContiniuingAndDiscontinuedOperations" xlink:label="ProfitLossBeforeTaxFromContiniuingAndDiscontinuedOperations" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ReceivablesFromServiceConcessionAgreements" xlink:label="ReceivablesFromServiceConcessionAgreements" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_RestatementOfEquity" xlink:label="RestatementOfEquity" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ShortTermLoansBorrowinsAndOtherSourcesOfFinance" xlink:label="ShortTermLoansBorrowinsAndOtherSourcesOfFinance" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ShortTermRetentionsForConstructionContractsAssets" xlink:label="ShortTermRetentionsForConstructionContractsAssets" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ShortTermRetentionsForConstructionContractsLiabilities" xlink:label="ShortTermRetentionsForConstructionContractsLiabilities" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_StatementOfFinancialPositionLineItems" xlink:label="StatementOfFinancialPositionLineItems" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_StatementOfFinancialPositionTable" xlink:label="StatementOfFinancialPositionTable" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ValuationOfConstructionContractsAssets" xlink:label="ValuationOfConstructionContractsAssets" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ValuationOfConstructionContractsLiabilities" xlink:label="ValuationOfConstructionContractsLiabilities" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangeInValuationOfContructionContractsAndProvisionForLosses" xlink:to="label_ChangeInValuationOfContructionContractsAndProvisionForLosses" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncomeFromContinuingOperations" xlink:to="label_ComprehensiveIncomeFromContinuingOperations" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncomeFromContinuingOperationsAttributableToNonControllingInterests" xlink:to="label_ComprehensiveIncomeFromContinuingOperationsAttributableToNonControllingInterests" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncomeFromContinuingOperationsAttributableToOwnersOfParent" xlink:to="label_ComprehensiveIncomeFromContinuingOperationsAttributableToOwnersOfParent" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncomeFromDiscontinuedOperations" xlink:to="label_ComprehensiveIncomeFromDiscontinuedOperations" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncomeFromDiscontinuedOperationsAttibutableToNonControllingInterests" xlink:to="label_ComprehensiveIncomeFromDiscontinuedOperationsAttibutableToNonControllingInterests" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" xlink:to="label_ComprehensiveIncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquityBeforeRestatement" xlink:to="label_EquityBeforeRestatement" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermLoansAndBorrowingsAndOtherSourcesOfFinance" xlink:to="label_LongTermLoansAndBorrowingsAndOtherSourcesOfFinance" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermRetentionsForConstructionContractsAssets" xlink:to="label_LongTermRetentionsForConstructionContractsAssets" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermRetentionsForConstructionContractsLiabilities" xlink:to="label_LongTermRetentionsForConstructionContractsLiabilities" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitBeforeTaxFromDiscontinuedOperations" xlink:to="label_ProfitBeforeTaxFromDiscontinuedOperations" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossBeforeTaxFromContiniuingAndDiscontinuedOperations" xlink:to="label_ProfitLossBeforeTaxFromContiniuingAndDiscontinuedOperations" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReceivablesFromServiceConcessionAgreements" xlink:to="label_ReceivablesFromServiceConcessionAgreements" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatementOfEquity" xlink:to="label_RestatementOfEquity" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermLoansBorrowinsAndOtherSourcesOfFinance" xlink:to="label_ShortTermLoansBorrowinsAndOtherSourcesOfFinance" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermRetentionsForConstructionContractsAssets" xlink:to="label_ShortTermRetentionsForConstructionContractsAssets" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermRetentionsForConstructionContractsLiabilities" xlink:to="label_ShortTermRetentionsForConstructionContractsLiabilities" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="label_StatementOfFinancialPositionLineItems" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StatementOfFinancialPositionTable" xlink:to="label_StatementOfFinancialPositionTable" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ValuationOfConstructionContractsAssets" xlink:to="label_ValuationOfConstructionContractsAssets" order="1" />
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ValuationOfConstructionContractsLiabilities" xlink:to="label_ValuationOfConstructionContractsLiabilities" order="1" />
  </link:labelLink>
</link:linkbase>